// 文章
import axios from "../util/ajax";
import axios1 from "../util/ajax1";

export default {
  // 订单查询
  queryProductOrderSearchByPage(params) {
    return axios.get(`/opt/product/order/search/page`, {params})
  },
  // 泊位列表
  queryBerthListByPage(params) {
    return axios.get(`/opt/berth/list/page`, {params})
  },
  // 车场
  querySelectParkListByPage(params) {
    return axios.get(`/opt/common/select/park`, {params})
  },
  // 获取人员下拉列表
  querySelectTollmanListByPage(params) {
    return axios.get(`/opt/common/select/sysman`, {params})
  },
  // 取证类型
  queryEvidenceType(params) {
    return axios.get('/opt/common/select/evidenceType', {params})
  },
  // 异常管理——获取抬杆记录分页
  queryExceptionHandingLiftByPage(params) {
    return axios.get(`/opt/exception/handing/lift/page`, {params})
  },
  // 异常管理——添加抬杆记录
  addExceptionHandingLift(params) {
    return axios.post(`/opt/exception/handing/lift/add`, params)
  },
  // 异常管理——编辑抬杆记录
  editExceptionHandingLift(params) {
    return axios.post(`/opt/exception/handing/lift/edit`, params)
  },
  // 异常管理——删除抬杆记录
  deleteExceptionHandingLift(params) {
    return axios.post(`/opt/exception/handing/lift/delete`, params)
  },
  // 异常管理——获取特殊放行记录分页
  queryExceptionHandingSpecialByPage(params) {
    return axios.get(`/opt/exception/handing/special/page`, {params})
  },
  // 异常管理——添加特殊放行记录
  addExceptionHandingSpecial(params) {
    return axios.post(`/opt/exception/handing/special/add`, params)
  },
  // 异常管理——编辑特殊放行记录
  editExceptionHandingSpecial(params) {
    return axios.post(`/opt/exception/handing/special/edit`, params)
  },
  // 异常管理——删除特殊放行记录
  deleteExceptionHandingSpecial(params) {
    return axios.post(`/opt/exception/handing/special/delete`, params)
  },
  // 异常管理——获取车牌修正记录分页
  queryExceptionHandingCorrectionByPage(params) {
    return axios.get(`/opt/exception/handing/correction/page`, {params})
  },
  // 异常管理——添加车牌修正记录
  addExceptionHandingCorrection(params) {
    return axios.post(`/opt/exception/handing/correction/add`, params)
  },
  // 异常管理——编辑车牌修正记录
  editExceptionHandingCorrection(params) {
    return axios.post(`/opt/exception/handing/correction/edit`, params)
  },
  // 异常管理——删除车牌修正记录
  deleteExceptionHandingCorrection(params) {
    return axios.post(`/opt/exception/handing/correction/delete`, params)
  },
  // 异常管理——获取僵尸车清理记录分页
  queryExceptionHandingCleanByPage(params) {
    return axios.get(`/opt/exception/handing/clean/page`, {params})
  },
  // 异常管理——添加车牌修正记录
  addExceptionHandingClean(params) {
    return axios.post(`/opt/exception/handing/clean/add`, params)
  },
  // 异常管理——编辑车牌修正记录
  editExceptionHandingClean(params) {
    return axios.post(`/opt/exception/handing/clean/edit`, params)
  },
  // 异常管理——删除车牌修正记录
  deleteExceptionHandingClean(params) {
    return axios.post(`/opt/exception/handing/clean/delete`, params)
  },
  // 停车订单查询——获取欠费订单分页
  queryParkingOrderArrearsByPage(params) {
    return axios.get(`/opt/parking/order/arrears/page`, {params})
  },
  // 停车订单查询——获取支付订单分页
  queryParkingOrderByPage(params) {
    return axios.get(`/opt/parking/order/page`, {params})
  },
  // 停车场管理——获取停车场信息分页
  queryParkingLotByPage(params) {
    return axios.get(`/opt/pakking/lot/page`, {params})
  },
  // 停车场管理——添加车牌修正记录
  addParkingLot(params) {
    return axios.post(`/opt/pakking/lot/add`, params)
  },
  // 停车场管理——编辑停车场信息
  editParkingLot(params) {
    return axios.post(`/opt/pakking/lot/edit`, params)
  },
  // 停车场管理——删除停车场信息
  deleteParkingLot(params) {
    return axios.post(`/opt/pakking/lot/delete`, params)
  },
  // 停车场管理——获取停车场计费规则分页
  queryParkingChargingByPage(params) {
    return axios.get(`/opt/pakking/charging/page`, {params})
  },
  // 停车场管理——添加停车场计费规则
  addParkingCharging(params) {
    return axios.post(`/opt/pakking/charging/add`, params)
  },
  // 停车场管理——编辑停车场计费规则
  editParkingCharging(params) {
    return axios.post(`/opt/pakking/charging/edit`, params)
  },
  // 停车场管理——删除停车场计费规则
  deleteParkingCharging(params) {
    return axios.post(`/opt/pakking/charging/delete`, params)
  },
  // 停车场管理——获取停车场欠费规则分页
  queryParkingArrearByPage(params) {
    return axios.get(`/opt/pakking/arrear/page`, {params})
  },
  // 停车场管理——添加停车场欠费规则
  addParkingArrear(params) {
    return axios.post(`/opt/pakking/arrear/add`, params)
  },
  // 停车场管理——编辑停车场欠费规则
  editParkingArrear(params) {
    return axios.post(`/opt/pakking/arrear/edit`, params)
  },
  // 停车场管理——删除停车场欠费规则
  deleteParkingArrear(params) {
    return axios.post(`/opt/pakking/arrear/delete`, params)
  },
  // 停车场管理——获取僵尸车管理规则分页
  queryParkingCarByPage(params) {
    return axios.get(`/opt/pakking/car/page`, {params})
  },
  // 停车场管理——添加僵尸车管理规则
  addParkingCar(params) {
    return axios.post(`/opt/pakking/car/add`, params)
  },
  // 停车场管理——编辑僵尸车管理规则
  editParkingCar(params) {
    return axios.post(`/opt/pakking/car/edit`, params)
  },
  // 停车场管理——删除僵尸车管理规则
  deleteParkingCar(params) {
    return axios.post(`/opt/pakking/car/delete`, params)
  },
  // 停车场管理——获取备案资源分页
  queryBazyByPage(params) {
    return axios.get(`/opt/pakking/icp/page`, {params})
  },

  // 停车场管理——添加僵尸车管理规则
  addBazy(params) {
    return axios.post(`/opt/pakking/icp/add`, params)
  },
  // 停车场管理——编辑僵尸车管理规则
  editBazy(params) {
    return axios.post(`/opt/pakking/icp/edit`, params)
  },
  // 停车场管理——删除僵尸车管理规则
  deleteBazy(params) {
    return axios.post(`/opt/pakking/icp/delete`, params)
  },
  // 稽查管理——获取稽查配置分页
  queryInspectionEvidenceByPage(params) {
    return axios.get(`/opt/inspection/evidence/page`, {params})
  },
  // 稽查管理——添加稽查配置
  addInspectionEvidence(params) {
    return axios.post(`/opt/inspection/evidence/add`, params)
  },
  // 稽查管理——编辑稽查配置
  editInspectionEvidence(params) {
    return axios.post(`/opt/inspection/evidence/edit`, params)
  },
  // 稽查管理--稽查审核
  auditInspectionManagement(params) {
    return axios.post('/opt/inspection/management/audit', params)
  },
  // 稽查管理——删除稽查配置
  deleteInspectionEvidence(params) {
    return axios.post(`/opt/inspection/evidence/delete`, params)
  },
  // 稽查管理——获取稽查管理分页
  queryInspectionManagementByPage(params) {
    return axios.get(`/opt/inspection/management/page`, {params})
  },
  // 稽查管理——获取稽查管理分页--处理记录
  queryInspectionManagementByPage1(params) {
    return axios.get(`/opt/inspection/management/page1`, {params})
  },
  // 稽查管理——添加稽查管理
  addInspectionManagement(params) {
    return axios.post(`/opt/inspection/management/add`, params)
  },
  // 业务记录——获取停车记录分页
  queryBusinessRecordInoutByPage(params) {
    return axios1.post('/reformer-blessing-b/IntoOutQuery/intoOutRecord/query.do', params, {headers: {'Content-Type': 'application/x-www-form-urlencoded;'}})
  },
  // 业务记录——添加停车记录
  addBusinessRecordInout(params) {
    return axios.post(`/opt/business/record/inout/add`, params)
  },
  // 业务记录——编辑停车记录
  editBusinessRecordInout(params) {
    return axios.post(`/opt/business/record/inout/edit`, params)
  },
  // 业务记录——删除停车记录
  deleteBusinessRecordInout(params) {
    return axios.post(`/opt/business/record/inout/delete`, params)
  },
  // 业务记录——获取停车支付订单分页
  queryBusinessRecordPaymentByPage(params) {
    return axios.get(`/opt/business/record/payment/page`, {params})
  },
  // 业务记录——添加停车支付订单
  addBusinessRecordPayment(params) {
    return axios.post(`/opt/business/record/payment/add`, params)
  },
  // 业务记录——编辑停车支付订单
  editBusinessRecordPayment(params) {
    return axios.post(`/opt/business/record/payment/edit`, params)
  },
  // 业务记录——删除停车支付订单
  deleteBusinessRecordPayment(params) {
    return axios.post(`/opt/business/record/payment/delete`, params)
  },
  // 业务记录——获取停车欠费订单分页
  queryBusinessRecordArrearsByPage(params) {
    return axios.get(`/opt/business/record/arrears/page`, {params})
  },
  // 业务记录——添加停车欠费订单
  addBusinessRecordArrears(params) {
    return axios.post(`/opt/business/record/arrears/add`, params)
  },
  // 业务记录——编辑停车欠费订单
  editBusinessRecordArrears(params) {
    return axios.post(`/opt/business/record/arrears/edit`, params)
  },
  // 业务记录——删除停车欠费订单
  deleteBusinessRecordArrears(params) {
    return axios.post(`/opt/business/record/arrears/delete`, params)
  },
  // 基础配置——获取系统配置分页
  queryBasicConfigurationSystemByPage(params) {
    return axios.get(`/opt/basic/configuration/system/page`, {params})
  },
  // 基础配置——添加系统配置
  addBasicConfigurationSystem(params) {
    return axios.post(`/opt/basic/configuration/system/add`, params)
  },
  // 基础配置——编辑系统配置
  editBasicConfigurationSystem(params) {
    return axios.post(`/opt/basic/configuration/system/edit`, params)
  },
  // 基础配置——删除系统配置
  deleteBasicConfigurationSystem(params) {
    return axios.post(`/opt/basic/configuration/system/delete`, params)
  },
  // 基础配置——获取通道配置分页
  queryBasicConfigurationLaneByPage(params) {
    return axios.get(`/opt/basic/configuration/lane/page`, {params})
  },
  // 基础配置——添加通道配置
  addBasicConfigurationLane(params) {
    return axios.post(`/opt/basic/configuration/lane/add`, params)
  },
  // 基础配置——编辑通道配置
  editBasicConfigurationLane(params) {
    return axios.post(`/opt/basic/configuration/lane/edit`, params)
  },
  // 基础配置——删除通道配置
  deleteBasicConfigurationLane(params) {
    return axios.post(`/opt/basic/configuration/lane/delete`, params)
  },
  // 基础配置——获取设备信息分页
  queryBasicConfigurationDeviceByPage(params) {
    return axios.get(`/opt/basic/configuration/device/page`, {params})
  },
  // 基础配置——添加设备信息
  addBasicConfigurationDevice(params) {
    return axios.post(`/opt/basic/configuration/device/add`, params)
  },
  // 基础配置——编辑设备信息
  editBasicConfigurationDevice(params) {
    return axios.post(`/opt/basic/configuration/device/edit`, params)
  },
  // 基础配置——删除设备信息
  deleteBasicConfigurationDevice(params) {
    return axios.post(`/opt/basic/configuration/device/delete`, params)
  },
  // 商品订单查询——获取停车卡订单分页
  queryProductOrderParkingByPage(params) {
    return axios1.post('/reformer-blessing-b/card-mall-system/mall/queryList', params)
  },
  // 商品订单查询——获取错峰订单分页
  queryProductOrderUnpeakByPage(params) {
    return axios.get(`/opt/product/order/unpeak/page`, {params})
  },
  // 商品订单查询——获取错峰订单分页
  queryProductOrderRefundByPage(params) {
    return axios.get(`/opt/product/order/refund/page`, {params})
  },
  // 电话管理——获取电话管理分页
  queryTelephoneManagementByPage(params) {
    return axios.get(`/opt/telephone/management/page`, {params})
  },
  // 电话管理——新增
  addTelephone(params) {
    return axios.post(`/opt/telephone/management/add`, params)
  },
  // 电话管理——修改
  editTelephone(params) {
    return axios.post(`/opt/telephone/management/edit`, params)
  },
  // 电话管理——删除
  deleteTelephone(params) {
    return axios.post(`/opt/telephone/management/delete`, params)
  },
  // 任务报表——获取任务追缴分页
  queryTaskReportByPage(params) {
    return axios.get(`/opt/task/report/page`, {params})
  },
  // 任务审核——获取任务追缴分页-电话
  queryTaskAuditPhoneByPage(params) {
    return axios.get(`/opt/task/audit/phone/page`, {params})
  },
  // 任务审核——获取任务追缴分页-短信
  queryTaskAuditSmsByPage(params) {
    return axios.get(`/opt/task/audit/sms/page`, {params})
  },
  // 任务审核-审核任务
  auditTask(params) {
    return axios.post('/opt/task/audit/edit', params)
  },
  // 任务追缴——获取任务追缴分页-电话
  queryTaskRecoveryPhoneByPage(params) {
    return axios.get(`/opt/task/recovery/phone/page`, {params})
  },
  // 任务追缴——获取任务追缴分页-短信
  queryTaskRecoverySmsByPage(params) {
    return axios.get(`/opt/task/recovery/sms/page`, {params})
  },
  // 添加任务追缴 - 形式： 短信-电话
  addTaskRecovery(params) {
    return axios.post(`/opt/task/recovery/add`, params)
  },
  // 任务追缴——获取任务追缴分页-短信
  editTaskRecovery(params) {
    return axios.post(`/opt/task/recovery/edit`, params)
  },
  // 任务追缴——获取任务追缴
  deleteTaskRecovery(params) {
    return axios.post(`/opt/task/recovery/delete`, params)
  },
  // 岗亭操作——获取出入管理分页
  queryParkingOutsideOperationInoutByPage(params) {
    return axios.get(`/opt/parking/outside/operation/inout/page`, {params})
  },
  // 岗亭操作——添加出入管理
  addParkingOutsideOperationInout(params) {
    return axios.post(`/opt/parking/outside/operation/inout/add`, params)
  },
  // 岗亭操作——编辑出入管理
  editParkingOutsideOperationInout(params) {
    return axios.post(`/opt/parking/outside/operation/inout/edit`, params)
  },
  // 岗亭操作——删除出入管理
  deleteParkingOutsideOperationInout(params) {
    return axios.post(`/opt/parking/outside/operation/inout/delete`, params)
  },
  // 岗亭操作——获取停车记录分页
  queryParkingOutsideOperationParkingrecordByPage(params) {
    return axios.get(`/opt/parking/outside/operation/parkingrecord/page`, {params})
  },
  // 岗亭操作——添加停车记录
  addParkingOutsideOperationParkingrecord(params) {
    return axios.post(`/opt/parking/outside/operation/parkingrecord/add`, params)
  },
  // 岗亭操作——编辑停车记录
  editParkingOutsideOperationParkingrecord(params) {
    return axios.post(`/opt/parking/outside/operation/parkingrecord/edit`, params)
  },
  // 岗亭操作——删除停车记录
  deleteParkingOutsideOperationParkingrecord(params) {
    return axios.post(`/opt/parking/outside/operation/parkingrecord/delete`, params)
  },
  // 岗亭操作——获取在场记录分页
  queryParkingOutsideOperationInrecordByPage(params) {
    return axios.get(`/opt/parking/outside/operation/inrecord/page`, {params})
  },
  // 岗亭操作——添加在场记录
  addParkingOutsideOperationInrecord(params) {
    return axios.post(`/opt/parking/outside/operation/inrecord/add`, params)
  },
  // 岗亭操作——编辑在场记录
  editParkingOutsideOperationInrecord(params) {
    return axios.post(`/opt/parking/outside/operation/inrecord/edit`, params)
  },
  // 岗亭操作——删除在场记录
  deleteParkingOutsideOperationInrecord(params) {
    return axios.post(`/opt/parking/outside/operation/inrecord/delete`, params)
  },
  // 岗亭操作——获取特殊放行记录分页
  queryParkingOutsideOperationSpecialByPage(params) {
    return axios.get(`/opt/parking/outside/operation/special/page`, {params})
  },
  // 岗亭操作——添加特殊放行记录
  addParkingOutsideOperationSpecial(params) {
    return axios.post(`/opt/parking/outside/operation/special/add`, params)
  },
  // 岗亭操作——编辑特殊放行记录
  editParkingOutsideOperationSpecial(params) {
    return axios.post(`/opt/parking/outside/operation/special/edit`, params)
  },
  // 岗亭操作——删除特殊放行记录
  deleteParkingOutsideOperationSpecial(params) {
    return axios.post(`/opt/parking/outside/operation/special/delete`, params)
  },
  // 岗亭操作——获取抬杆记录分页
  queryParkingOutsideOperationLiftByPage(params) {
    return axios.get(`/opt/parking/outside/operation/lift/page`, {params})
  },
  // 岗亭操作——添加抬杆记录
  addParkingOutsideOperationLift(params) {
    return axios.post(`/opt/parking/outside/operation/lift/add`, params)
  },
  // 岗亭操作——编辑抬杆记录
  editParkingOutsideOperationLift(params) {
    return axios.post(`/opt/parking/outside/operation/lift/edit`, params)
  },
  // 岗亭操作——删除抬杆记录
  deleteParkingOutsideOperationLift(params) {
    return axios.post(`/opt/parking/outside/operation/lift/delete`, params)
  },
  // 业务配置——获取业务参数配置分页
  queryServiceConfigurationConfigByPage(params) {
    return axios.get(`/opt/service/configuration/config/page`, {params})
  },
  // 岗亭操作——添加业务参数配置
  addServiceConfigurationConfig(params) {
    return axios.post(`/opt/service/configuration/config/add`, params)
  },
  // 岗亭操作——编辑业务参数配置
  editServiceConfigurationConfig(params) {
    return axios.post(`/opt/service/configuration/config/edit`, params)
  },
  // 岗亭操作——删除业务参数配置
  deleteServiceConfigurationConfig(params) {
    return axios.post(`/opt/service/configuration/config/delete`, params)
  },
  // 业务配置——获取节假日配置分页
  queryServiceConfigurationHolidayByPage(params) {
    return axios.get(`/opt/service/configuration/holiday/page`, {params})
  },
  // 岗亭操作——添加节假日配置
  addServiceConfigurationHoliday(params) {
    return axios.post(`/opt/service/configuration/holiday/add`, params)
  },
  // 岗亭操作——编辑节假日配置
  editServiceConfigurationHoliday(params) {
    return axios.post(`/opt/service/configuration/holiday/edit`, params)
  },
  // 岗亭操作——删除节假日配置
  deleteServiceConfigurationHoliday(params) {
    return axios.post(`/opt/service/configuration/holiday/delete`, params)
  },
  // 业务配置——获取热门商圈配置分页
  queryServiceConfigurationDistrictByPage(params) {
    return axios.get(`/opt/service/configuration/district/page`, {params})
  },
  // 岗亭操作——添加热门商圈配置
  addServiceConfigurationDistrict(params) {
    return axios.post(`/opt/service/configuration/district/add`, params)
  },
  // 岗亭操作——编辑热门商圈配置
  editServiceConfigurationDistrict(params) {
    return axios.post(`/opt/service/configuration/district/edit`, params)
  },
  // 岗亭操作——删除热门商圈配置
  deleteServiceConfigurationDistrict(params) {
    return axios.post(`/opt/service/configuration/district/delete`, params)
  },
}
